TSFREAD(3ts)

NAME
TSfread - TSfread API function

SYNOPSIS

#include <ts/ts.h>

    ssize_t TSfread(TSFile filep, void * buf, size_t length)

DESCRIPTION

Attempts to read length bytes of data from the file pointed to by filep into the buffer buf. The behavior is undefined if length is greater than SSIZE_MAX.

RETURN VALUE

Returns the number of bytes read on success, or -1 on failure.

COPYRIGHT
2020, dev@trafficserver.apache.org